.App {
  text-align: center;
}

.App-logo {
  height: 40vmin;
  pointer-events: none;
}

@media (prefers-reduced-motion: no-preference) {
  .App-logo {
    animation: App-logo-spin infinite 20s linear;
  }
}

.App-header {
  background-color: #282c34;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 2vmin);
  color: white;
}

.App-link {
  color: #61dafb;
}

@keyframes App-logo-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

/* Add this to your App.css or a separate CSS file */
.container {
  width: 80%; /* Set the width of the container */
  max-width: 600px; /* Maximum width of the container */
  margin: 0 auto; /* Center the container */
  padding-top: 50px; /* Add some space at the top */
}

.centered-table {
  width: 100%; /* Make the table use all available space */
  border-collapse: collapse; /* Collapse borders */
  margin-top: 20px; /* Add some space above the table */
}

.centered-table th,
.centered-table td {
  border: 1px solid #ddd; /* Add borders to cells */
  padding: 8px; /* Add some padding inside cells */
  text-align: left; /* Align text to the left */
}

.centered-table th {
  background-color: #f2f2f2; /* Add a background color to header cells */
  color: #333; /* Set the text color for header cells */
}

.centered-table tr:nth-child(even) {background-color: #f9f9f9;} /* Zebra striping for rows */

.centered-table tr:hover {background-color: #f1f1f1;} /* Hover effect for rows */

.centered-table th:first-child,
.centered-table td:first-child {
  text-align: center; /* Center the text of the first column (row numbers) */
}

h1 {
  text-align: center; /* Center the title */
}

.header-container {
  display: flex;
  align-items: center; /* Center items vertically */
  justify-content: space-between; /* Space between the title and the button */
  flex-shrink: 0; /* Do not shrink the header container */
}

.icon-link {
  color: white;
  text-decoration: none;
  display: flex;
  align-items: center;
  justify-content: center;
}

.add-button {
  padding: 10px 15px;
  font-size: 16px;
  cursor: pointer;
  background-color: #4CAF50; /* Example button color, choose your own */
  color: white;
  border: none;
  border-radius: 5px; /* Rounded corners for the button */
  margin-left: 10px; /* Optional spacing between button and header */
  margin-right: 10px;

  display: inline-block;
  border: none;
  background-color: #4CAF50;
  cursor: pointer;
  padding: 10px 15px;
  border-radius: 5px;
}